Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing
Class JTree.EmptySelectionModel

    java.lang.Object
      javax.swing.tree.DefaultTreeSelectionModel
          javax.swing.JTree.EmptySelectionModel

All Implemented Interfaces:
  Serializable, Cloneable, TreeSelectionModel

Enclosing class:
  JTree

    protected static class JTree.EmptySelectionModel

extends DefaultTreeSelectionModel

`EmptySelectionModel` is a `TreeSelectionModel` that does not allow anything to be selected.

Warning: Serialized objects of this class will not be compatible with future Swing releases. The current serialization support is appropriate for short term storage or RMI between applications running the same version of Swing. As of 1.4, support for long term storage of all JavaBeansTM has been added to the `java.beans` package. Please see `XMLEncoder`.

Field Summary
`protected static JTree.EmptySelectionModel` | `sharedInstance` Unique shared instance.

Fields inherited from class javax.swing.tree.DefaultTreeSelectionModel
`changeSupport, leadIndex, leadPath, leadRow, listenerList, listSelectionModel, rowMapper, selection, SELECTION_MODE_PROPERTY, selectionMode`

Fields inherited from interface javax.swing.tree.TreeSelectionModel
`CONTIGUOUS_TREE_SELECTION, DISCONTIGUOUS_TREE_SELECTION, SINGLE_TREE_SELECTION`

Constructor Summary
`protected` | `JTree.EmptySelectionModel()`

Method Summary
`void` | `addSelectionPaths(TreePath[] paths)` A `null` implementation that adds nothing.
`void` | `removeSelectionPaths(TreePath[] paths)` A `null` implementation that removes nothing.
`void` | `setSelectionPaths(TreePath[] pPaths)` A `null` implementation that selects nothing.
`static JTree.EmptySelectionModel` | `sharedInstance()` Returns a shared instance of an empty selection model.

Methods inherited from class javax.swing.tree.DefaultTreeSelectionModel
`addPropertyChangeListener, addSelectionPath, addTreeSelectionListener, arePathsContiguous, canPathsBeAdded, canPathsBeRemoved, clearSelection, clone, fireValueChanged, getLeadSelectionPath, getLeadSelectionRow, getListeners, getMaxSelectionRow, getMinSelectionRow, getPropertyChangeListeners, getRowMapper, getSelectionCount, getSelectionMode, getSelectionPath, getSelectionPaths, getSelectionRows, getTreeSelectionListeners, insureRowContinuity, insureUniqueness, isPathSelected, isRowSelected, isSelectionEmpty, notifyPathChange, removePropertyChangeListener, removeSelectionPath, removeTreeSelectionListener, resetRowSelection, setRowMapper, setSelectionMode, setSelectionPath, toString, updateLeadIndex`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### sharedInstance

    protected static final JTree.EmptySelectionModel sharedInstance

  Unique shared instance.

Constructor Detail

### JTree.EmptySelectionModel

    protected JTree.EmptySelectionModel()

Method Detail

### sharedInstance

    public static JTree.EmptySelectionModel sharedInstance()

  Returns a shared instance of an empty selection model.

### setSelectionPaths

    public void setSelectionPaths(TreePath[] pPaths)

  A `null` implementation that selects nothing.

  Specified by:
    `setSelectionPaths` in interface `TreeSelectionModel`
  Overrides:
    `setSelectionPaths` in class `DefaultTreeSelectionModel`
  Parameters:
    `pPaths` - new selection

### addSelectionPaths

    public void addSelectionPaths(TreePath[] paths)

  A `null` implementation that adds nothing.

  Specified by:
    `addSelectionPaths` in interface `TreeSelectionModel`
  Overrides:
    `addSelectionPaths` in class `DefaultTreeSelectionModel`
  Parameters:
    `paths` - the new path to add to the current selection

### removeSelectionPaths

    public void removeSelectionPaths(TreePath[] paths)

  A `null` implementation that removes nothing.

  Specified by:
    `removeSelectionPaths` in interface `TreeSelectionModel`
  Overrides:
    `removeSelectionPaths` in class `DefaultTreeSelectionModel`
  Parameters:
    `paths` - the paths to remove from the selection

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.